$(function () {

    var $login = $('#login');
    var $pass = $('#password');
    var $signInButton = $('#signin_b');

    $signInButton.click(function () {
        var login = $login.val();
        var pass = $pass.val();

        Auth.signIn(login, pass)
            .fail(_ => Popup.error('Неверный логин и/или пароль!'))
            .done(() => {
                $signInButton.val('Всё отлично!');
                window.location.replace(URLdir);
            })
    });

    // todo: animation
    Auth.onAllow = () => $signInButton.removeAttr('disabled');
    Auth.onDeprecate = () => $signInButton.attr('disabled', 'disabled');


    $('#remind').click(function () {
        $.postJSON(URLdir + 'handler/sign/remindPassword', { 'email': $('#email').val() })
            .fail(err => EventInspector.error(err.responseText))
            .done(_ => {
                $('#remind').val('Проверьте почту!');
                window.location.replace(URLdir);
            })
    });

    $('#signup_b').click(function () {
        $.postJSON(URLdir + 'handler/sign/up', {
            'activation_code':  $('#activation_code').val(),
            'login':            $('#login').val(),
            'password':         $('#password').val(),
            'confirm_password': $('#confirm_password').val(),
            'email':            $('#email').val(),
            'confirm_email':    $('#confirm_email').val()
        }).done(_ => {
            $('#signup_b').val('Всё отлично!');
            window.location.replace(URLdir);
        }).fail(err => Popup.error(err.responseText));
    });

    $(document).keypress(function (event) {
        if (event.keyCode == 13) {
            if ($login.is(':focus')) {
                $pass.focus();
            } else if ($pass.is(':focus')) {
                $signInButton.trigger('click');
            }
        }
    });
    
});
